% G_DATA - Data conversion and preprocessing.
% 
% Loads the database from folder [G_MITDB], converts to MAT format, and
% preprocess it. The converted and preprocessed data will be stored in
% [G_OUTPUT]/mitdb.
% 
% Copyright (C) 2018 ELTE IK NumAnal, GNU GPL 3

function g_data
    fprintf('Convert data...\n');
    g_data_convert(getenv('G_MITDB'))
    fprintf('Filter annotations...\n');
    g_preproc_atr
    fprintf('Filter signals...\n');
    g_preproc_filter
end
