% G_PREPROC_ATR - Preprocessing the annotations.
% 
% Keep only arrhythmia annotations.
%
% Copyright (C) 2018 ELTE IK NumAnal, GNU GPL 3

function g_preproc_atr
    classes = 'NLRAV/a!FxjfEJeQ';
    path_16 = '01_16';
    g_data_save_mkdir(['atr', filesep, path_16]);
    reclist = g_data_load_reclist;
    for rec = 1:length(reclist)
        fprintf('  %s\n', reclist{rec});
        [~, ~, loc, cls] = g_data_load(reclist{rec}, [], []);
        beatmask = ismember(cls, classes);
        g_data_save_atr(reclist{rec}, path_16, loc(beatmask), cls(beatmask));
    end
end
