% G_FINAL - Final fusion of different strategies.
% 
% Fusing the classification results stored in [G_OUTPUT]/class/*.mat into
% final results that will be saved in [G_OUTPUT]/final/*.mat.
% 
% Copyright (C) 2018 ELTE IK NumAnal, GNU GPL 3

function g_final
    g_mkdir('final');
    fprintf('Fusions of two strategies...\n');
    g_final_fusion('MT422_RR_same', 'MT422_RR_same_I', 'MT422_RR_same_II');
    g_final_fusion('MT422_RR_diff', 'MT422_RR_diff_I', 'MT422_RR_diff_II');
    g_final_fusion('MT422_RR_fi_same', 'MT422_RR_fi_same_I', 'MT422_RR_fi_same_II');
    g_final_fusion('MT422_RR_fi_diff', 'MT422_RR_fi_diff_I', 'MT422_RR_fi_diff_II');
    g_final_fusion('MT422_RR_r_fi_same', 'MT422_RR_r_fi_same_I', 'MT422_RR_r_fi_same_II');
    g_final_fusion('MT422_RR_r_fi_diff', 'MT422_RR_r_fi_diff_I', 'MT422_RR_r_fi_diff_II');
end
